# GenericDocumentResults class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: false, createToJson: false)

## Constructors

GenericDocumentResults(List<GenericDocument> documents)
GenericDocumentResults.fromJson(Map<String, dynamic> json)
  factory

## Properties

documents ↔ List<GenericDocument>
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited